<?php 
/*  Copyright 2009  Alexandre Hoyau  (email : lex [at] silex-ria . org)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
/**
 * @package exchange-platform
 * @author http://lex.silex.tv/
 * @version 1
 */

global $epMessagesAllreadyDisplayed;
$epMessagesAllreadyDisplayed = false;
global $epMessagesArray;
$epMessagesArray = array();
function epDisplayMessages()
{
	global $epMessagesArray;
	global $epMessagesAllreadyDisplayed;
	for ($idx=0;$idx<count($epMessagesArray);$idx++)
		echo $epMessagesArray[$idx];
	$epMessagesAllreadyDisplayed = true;
	$epMessagesArray = array();
}
function ep_error ($str) {
	global $epMessagesArray;
	global $epMessagesAllreadyDisplayed;

	$message = '<div id="message" class="error">'.$str.'</div>';
	
	if ($epMessagesAllreadyDisplayed === true)
		echo $message;
	else
		$epMessagesArray[] = $message;
//	echo '<div class="error below-h2">'.$str.'</div>';
//	echo '<div id="message" class="error">'.$str.'</div>';
}
function ep_success ($str) {
	global $epMessagesArray;
	global $epMessagesAllreadyDisplayed;

	$message = '<div id="message" class="updated">'.$str.'</div>';
	
	if ($epMessagesAllreadyDisplayed === true)
		echo $message;
	else
		$epMessagesArray[] = $message;
//	echo '<div class="error below-h2">'.$str.'</div>';
//	echo '<div id="message" class="updated">'.$str.'</div>';
}
add_action('admin_head',epDisplayMessages);
//ep_success('test');
//ep_error('test');


// Handles upload error message if any
function file_upload_error_message($error_code) {
    switch ($error_code) {
        case UPLOAD_ERR_INI_SIZE:
            return 'File exceeds upload_max_filesize value ('.ini_get('upload_max_filesize').') in php.ini or .htaccess';
        case UPLOAD_ERR_FORM_SIZE:
            return 'File exceeds the MAX_FILE_SIZE value ('.display_filesize($_POST['MAX_FILE_SIZE']).') specified in the HTML form';
        case UPLOAD_ERR_PARTIAL:
            return 'File was only partially uploaded';
        case UPLOAD_ERR_NO_FILE:
            return 'No file was uploaded. Please select a file.';
        case UPLOAD_ERR_NO_TMP_DIR:
            return 'Missing a temporary folder';
        case UPLOAD_ERR_CANT_WRITE:
            return 'Failed to write file to disk';
        case UPLOAD_ERR_EXTENSION:
            return 'File upload stopped by extension';
        default:
            return 'Unknown upload error';
    }
}
// Converts filesize to a more legible format (from bits to 'Byte','KB','MB','GB','TB' or 'PB' depending on the size)
function display_filesize($filesize){
    if(is_numeric($filesize)){
		$decr = 1024; $step = 0;
		$prefix = array('Byte','KB','MB','GB','TB','PB');
		   
		while(($filesize / $decr) > 0.9){
			$filesize = $filesize / $decr;
			$step++;
		}
		return round($filesize,2).' '.$prefix[$step];
    } else {
		return 'NaN';
    }
}

?>