<?php

require_once(EP_PLUGIN_DIR.'/includes/EPItemData.php');
require_once(EP_PLUGIN_DIR.'/includes/EPItemFiles.php');
/*
function epFilterTitle($title)
{
	global $post;
	
	// new EPItemData
	$epItemData = new EPItemData();
	$project = $epItemData->getSelectedProject($post->ID);
	$versionsArray = $epItemData->getSelectedVersions($post->ID);
	
	$title .= "<br />$project - $versionsArray";
	return $title;
}

add_filter('single_post_title', epFilterTitle);
*/

function epDisplayPostData($post)
{
	if (is_single() || is_paged() || is_front_page() || is_search() || is_archive())
	{
		// EPItemData
		$epItemData = new EPItemData();
		$itemFileName = $epItemData->getCurrentFileName($post->ID);
		
		if ($itemFileName && $itemFileName !== '')
		{
			$project = $epItemData->getSelectedProject($post->ID);
			$currentVersion = $epItemData->getItemCurrentVersion($post->ID);
			$versionsArray = $epItemData->getSelectedVersions($post->ID);
			$versionsString = implode(', ',$versionsArray);
			$itemTitle = $post->post_title;
			$dependencies = $epItemData->getDependencies($post->ID);
			$dependences = '';
			for($idx=0;$idx<count($dependencies);$idx++) 
			{
				$p = get_post($dependencies[$idx]);
				if ($dependences != '') $dependences .= ', ';
				$dependences .= '<a href="'.$p->guid.'">'.$p->post_title.'</a>';
			}
			
			// item file
			$itemFilePath = EPItemFiles::getDownloadFileUrl($post->ID);
			$itemFileSize = @filesize(EPItemFiles::getDownloadFilePath($post->ID));
			
			// images and style
			$downloadImageUrl = WP_PLUGIN_URL . '/' . EP_PLUGIN_NAME . '/images/download.png';
		
			//$post->post_title .= "<br /><div class='entry-meta'>Project: $project $versionsString</div>";
			$post->post_title .= "</a></h1></h2><div class=\"exchangeplatform\">
		
				<table width=\"450\" cellspacing=\"5\" class=\"infos\" border=\"0\">
					<tr>
						<td width=\"250\"><strong>Name:</strong> $itemTitle</td>
						<td><strong>Size:</strong> $itemFileSize</td>
					</tr>
					<tr>
						<td><strong>Version:</strong> $currentVersion</td>
						<td><strong>File:</strong> $itemFileName</td>
					</tr>
					<tr>
						<td><strong>Compatibility:</strong> $versionsString</td>
						<td><strong>Use:</strong> $dependences</td>
					</tr>
					<tr>
						<td><strong>Project:</strong> $project</td>
						<td valign=\"bottom\" rowspan=\"2\"><a title=\"Download $itemFileName\" href=\"$itemFilePath\"><img src=\"$downloadImageUrl\" alt=\"\" /></a></td>
					</tr>
				</table>
		
			</div>
			";
		}
	}
}
add_action('the_post',epDisplayPostData,1,1);

/////////////////////////////////////////////////////////////
// Style
/*
* register with hook 'wp_print_styles'
*/
//add_action('wp_print_styles', 'ep_add_my_stylesheet');

/*
* Enqueue style-file, if it exists.
*/

function ep_add_my_stylesheet() {
	$myStyleUrl = WP_PLUGIN_URL . '/'.EP_PLUGIN_NAME.'/style.css';
	$myStyleFile = WP_PLUGIN_DIR . '/'.EP_PLUGIN_NAME.'/style.css';
	if ( file_exists($myStyleFile) ) {
		wp_register_style('myStyleSheets', $myStyleUrl);
		wp_enqueue_style( 'myStyleSheets');
	}
}

?>